Initiate Payment
POST https://api.martpay.net/api/v2/pis/payment
POST https://api.martpay.net/api/v2/pis/paymentDescription
This endpoint is used to obtain payment links, which your customers will be redirected to for processing the payment.
The checkout page workflow for the customer depends on the parameters passed in the request:
Minimum Required Parameters: If only the required parameters are provided, the customer will be prompted to fill in all necessary fields on the checkout page.
Extended Parameters: When retrieving bank data via the Get Institutions endpoint, you can pass additional parameters that will be pre-filled on the checkout page. In some cases, this allows you to completely skip the step of entering customer data.
Headers
key
x-api-key
value
{{api-key}}
Body
merchant_order_id
string (required)
A unique string representing a payment. Up to 256 characters.
payment_amount
string (required)
Payment amount. Min: 1. Max: 15,000. The amount may have a fractional part: 2.50. It is not allowed to specify more than 2 digits.
payment_currency
string (required)
Only EUR is supported.
return_url
string (required)
The URL address to which your customer will be redirected after making a payment.
customer_email
string
You can specify the customer's email address so that it is pre-filled on the order page.
institution_id
string (optional. Required with institution_country_code)
An identifier representing a specific bank (see “Get Institutions”).
institution_country_code
string (optional. Required with institution_id)
Bank country code. Since some banks operate in multiple countries, you must always specify this field along with institution_id.
payer
object (optional)
Customer personal information and bank account details. Some banks require additional information about the payer. You can specify these fields if you decide to use the institution_id parameter. If you do not provide this information (or skip some fields), the customer will be prompted to enter the missing information on the checkout page. The list of required fields for each bank is specified in the extraFields property of the “Get Institutions” endpoint.
payer.name
string (optional)
Full name of the customer.
payer.bic
string (optional)
Bank Identifier Code (SWIFT code) for the selected bank.
payer.iban
string (optional)
Customer's International Bank Account Number(IBAN).
payer.country
string (optional)
Country at the customer's address.
payer.city
string (optional)
Customer address, city.
payer.postCode
string(optional)
Postal code
payer.countryCode
string (optional)
Country at the customer's address. Two-letter country code (ISO-3166)
payer.buildNumber
string (optional)
House number
payer.streetName
string (optional)
Street
payer.addressLines
array (optional)
Customer address, including city, street, and house number.
payer.psuId
string (optional)
Client ID (login) for the personal account provided by the bank.
If psuId is specified, psuCorporateId does not need to be transmitted.
payer.psuCorporateId
string (optional)
Identifier (login) for a business account provided by the bank.
If psuCorporateId is specified, psuId does not need to be transmitted.
client_ip
string (optional)
The IP address from which the payment must be made. This parameter is mandatory only when IP verification is enabled.
customer_full_name
string (optional)
Full name of the client. This parameter is mandatory only when IP verification is enabled.
customization
object (optional)
User interface settings for the order page. If not specified, the default style will be applied.
customization.title
string (optional)
Title displayed on the order page
customization.logoUrl
string (optional)
URL address of the logo image displayed on the order form page.
Format: Absolute URL (HTTPS recommended).
customization.logoHeight
string (optional)
Logo height
customization.primaryColor
string (optional)
The primary color used for buttons, highlights, and interactive elements (hexadecimal format).
Format: Hexadecimal color code (#RRGGBB).
customization.bgColor
string (optional)
Background color
customization.spacing
string (optional)
Setting the density of UI elements. Possible values: ‘sm’, ‘md’, 'lg'
customization.radius
string (optional)
Border radius for UI elements Possible values: ‘none’, ‘sm’, ‘md’, 'lg'
customization.modalShadow
string (optional)
Sets the size of the modal window shadow Possible values: ‘none’, ‘sm’, ‘md’, 'lg'
Example
Last updated
